Components.utils.import("resource://gre/modules/Services.jsm");
Components.utils.import("chrome://dslrnotifier2/content/modules/status.jsm");
Components.utils.import("chrome://dslrnotifier2/content/modules/privacy.jsm");

var type = window.arguments[0];

function dslrInbox() {
	// Find non-private window (unless in permanent private browsing) or open a new one
	var win = Privacy.getWindow(true);
	
	function doAction(aWindow) {
		if ("gDslrNotifier" in aWindow) 
			aWindow.gDslrNotifier.dslrAct('tab',type,'kill',true);
	}
	
	// If window not loaded, wait for it to load
	if (win.document.readyState == "complete")
		doAction(win);
	else {
		win.addEventListener("load", function() {
			win.removeEventListener("load", arguments.callee, false);
			// After the window loads selected or adding a tab usually fails so run asynchronously
			let runnable = {
				run: function()
				{
					doAction(win);
				}
			};
			Services.tm.currentThread.dispatch(runnable, Components.interfaces.nsIEventTarget.DISPATCH_NORMAL);
		}, false);
	}
	
	window.close();
}

function _onLoad() {
	var button = document.getElementById("button_command");
	var text = document.getElementById("text_id");
	var img = document.getElementById("image_id");
	var im_text = dslrStatus.imText + " Instant Message" + ((dslrStatus.imText != "1") ? "s" : "");
	var news_text = dslrStatus.newsText + " Updated Topic" + ((dslrStatus.newsText != "1") ? "s" : "");
	switch(type) {
		case "hybrid":
			img.src = "chrome://dslrnotifier2/skin/images/hybrid.gif";
			text.textContent = im_text + " and " + news_text;
			button.label = "Go to Inbox and New Topics";
			document.title = "New Message and Updated Topic";
			break;
		case "im":
			text.textContent = im_text;
			button.label = "Go to Inbox";
			document.title = "New Message";
			break;
		case "news":
			img.src = "chrome://dslrnotifier2/skin/images/camb.gif";
			text.textContent = news_text;
			button.label = "View";
			document.title = "Updated Topic";
			break;
	}
}
